Prompt user for CRS when layers CRS is not detected.
Description

When a user loads a raster w/o projection, QGIS (obviously) can not detect its projection, so it sets it to either the project wide default

CRS, the global default CRS or prompt for CRS.

Imagine a new QGIS user who has a bunch of Arcinfo/ASCII grids (which has no CRS) which were created in an assortment of

projections.  QGIS will magically transforms them all into the global default CRS!

It would be better to tell the user that the CRS was not detected and prompt the user to select a CRS.

History

#1 - 2009-08-31 11:59 PM - luca76 -

I agree to it.

#2 - 2009-09-01 12:21 AM - Magnus Homann

- Status changed from Open to In Progress

I don't get it. The selector is there to enable this behaviour, if you set it to "prompt for CRS" you get exactly this functionality?

Imagine insetad a user opening a bunch of layers that has no CRs, but he wants it set to the project wide CRS...

#3 - 2009-09-01 12:22 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from In Progress to Closed

This is already possible: go to

options -> CRS

and select "prompt for CRS" (when layer is loaded that has no CRS).

You have also two other possible configurations:

    -  project wide default CRS will be used

    -  global default CRS displayed below will be used
